Crashpad

Public Types | Public Attributes | List of all members
crashpad::RegistrationRequest Struct Reference

A client registration request. More...

`#include "util/win/registration_protocol_win.h"`

## Public Types
enum |
| The expected value of `version`. This should be changed whenever the messages or ExceptionInformation are modified incompatibly.

## Public Attributes
int | version
| Version field to detect skew between client and server. Should be set to kMessageVersion.
DWORD | client_process_id
| The PID of the client process.
WinVMAddress | crash_exception_information
| The address, in the client process's address space, of an ExceptionInformation structure, used when handling a crash dump request.
WinVMAddress | non_crash_exception_information
| The address, in the client process's address space, of an ExceptionInformation structure, used when handling a non-crashing dump request.
WinVMAddress | critical_section_address
| The address, in the client process's address space, of a `CRITICAL_SECTION` allocated with a valid .DebugInfo field. This can be accomplished by using InitializeCriticalSectionWithDebugInfoIfPossible() or equivalent. This value can be `0`, however then limited lock data will be available in minidumps.

## Detailed Description

A client registration request.

The documentation for this struct was generated from the following file:

- util/win/registration_protocol_win.h